// Set the date we're counting down to
var countDownDate = new Date("Aug 31, 2020 8:00:00").getTime();

// Update the count down every 1 second
var x = setInterval(function () {

    // Get todays date and time
    var now = new Date().getTime();

    // Find the distance between now an the count down date
    var distance = countDownDate - now;

    // Time calculations for days, hours, minutes and seconds
    var days = Math.floor(distance / (1000 * 60 * 60 * 24));
    var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
    var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
    var seconds = Math.floor((distance % (1000 * 60)) / 1000);

    // Output the result in an element with id="demo"
    document.getElementById("timer").innerHTML = "Plus que <strong id='timer-space'>" + days + "</strong> jours, <strong id='timer-space'>" + hours + "</strong> heures, <strong id='timer-space'>"
        + minutes + "</strong> minutes et <strong id='timer-space'>" + seconds + "</strong> dans la civilisation...";

    // If the count down is over, write some text
    if (distance < 0) {
        clearInterval(x);
        document.getElementById("timer").innerHTML = "Bienvenue dans l'aventure !";
    }
}, 1000);
